News

Due to heavy spamming attempts on this forum, automatic registration has been disabled. We will approve registration requests as quickly as possible (unless you're a spammer of course :) )

Topic: Version 6.3  (Read 3905 times)

0 Members and 1 Guest are viewing this topic.

Offline David

  • Hero Member
  • *****
  • Administrator
  • Posts: 3700
Version 6.3
« on: October 24, 2016, 04:49:11 pm »
Hi all!

The building season has begun again. I wish you all a lot of fun making some progress on your layouts.

This update of AnyRail contains new libraries for:
- Atlas Z scale
- Röwa H0 track
- Biller Bahn Oe track

These libraries have been updated:
- N Peco, Fleischmann
- OO Peco, Hornby
- H0: Trix Pappe, Mein Gleis

Why did it take so long?
Well, we revised the internal representation of all track elements. During this process, we found a few items that were not defined properly. Most of the times, there were tiny gaps between segments.
These have all been fixed.
As the internal representation has become a lot simpler, it will be a lot easier to add track in the future.

Have fun!

Offline JimGregg

  • Newbie
  • *
  • Posts: 2
Re: Version 6.3
« Reply #1 on: October 31, 2016, 06:13:47 pm »
Hi
I have a problem with not being able to generate a V5 version from my V6 Anyrail.
I got a refurbished Windows XP machine for the railway room and loaded V5 no problem.
My laptop was V5 at the time so I could copy files back and forth easily.
Then my laptop updated to V6 and I continued to develop the layout design but when I went to the railway room machine it would not update because there is no support for V6 running on Windows XP operating system.
Now I cannot transfer the latest designs to the railway room PC.
Can it not be possible to save my V6 design in V5 format.
Almost all other software upgrades are backward compatible but not in this case.
Is there a solution please?
JimGr

Offline David

  • Hero Member
  • *****
  • Administrator
  • Posts: 3700
Re: Version 6.3
« Reply #2 on: October 31, 2016, 07:29:53 pm »
No, it's not possible to save a layout for an older version of AnyRail. The reason is that in newer versions a lot more details about elements need to be stored, and there's no way to retrofit that.

The good news though is that until January 1, 2017, we will continue to support XP with version 6. In 2017 we will no longer produce XP versions. This has to do with the fact that in XP some things that we really need to move forward are not available or possible. As you will know, Microsoft itself has already stopped XP support.

On the download page of our website, if you scroll down a bit, you'll find a download link for the Windows XP version.


Offline JimGregg

  • Newbie
  • *
  • Posts: 2
Re: Version 6.3
« Reply #3 on: November 01, 2016, 11:43:31 am »
Many thanks, David.
I wasn't aware of this. When I tried the update from the V5 version it said V6 would not run on XP so I didn't investigate further.
I'll try this out.
JimGr

Offline Mike from CT

  • Hero Member
  • *****
  • Posts: 1266
Re: Version 6.3
« Reply #4 on: November 15, 2016, 12:41:10 am »
Decided against releasing 6.4, did we?   :D

Offline David

  • Hero Member
  • *****
  • Administrator
  • Posts: 3700
Re: Version 6.3
« Reply #5 on: November 15, 2016, 12:44:19 am »
Yep. I revoked 6.4 after being bombarded by emails that people couldn't start it due to a missing Windows dll.
This needs to be sorted first   :(

Offline Neil Reynolds

  • Newbie
  • *
  • Posts: 1
Re: Version 6.3
« Reply #6 on: November 15, 2016, 07:23:59 pm »
So was it 6.4 that caused my installation to flag up that one of the new features of the upgrade would be PDF exports... as I can't find that anywhere in the menus.
Kind regards, Neil

Offline David

  • Hero Member
  • *****
  • Administrator
  • Posts: 3700
Re: Version 6.3
« Reply #7 on: November 15, 2016, 07:57:25 pm »
Yes. It should be fine now.